Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings.transformers
Interface FieldTransformer

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  FieldTransformerAdapter, MethodBasedFieldTransformer

public interface FieldTransformer
extends java.io.Serializable

PUBLIC: This interface is used by the Transformation Mapping to build the value for a specific field. The user must provide implementations of this interface to the Transformation Mapping.

Since:
  10.1.3

Method Summary
`java.lang.Object` | `buildFieldValue(java.lang.Object instance, java.lang.String fieldName, Session session)`
`void` | `initialize(AbstractTransformationMapping mapping)` Initialize this transformer.

Method Detail

### initialize

    public void initialize(AbstractTransformationMapping mapping)

  Initialize this transformer. Only required if the user needs some special information from the mapping in order to do the transformation
  Parameters:
    `mapping` - - the mapping this transformer is associated with.

### buildFieldValue

    public java.lang.Object buildFieldValue(java.lang.Object instance,
                                            java.lang.String fieldName,
                                            Session session)

  Parameters:
    `instance` - - an instance of the domain class which contains the attribute
    `session` - - the current session
    `fieldName` - - the name of the field being transformed. Used if the user wants to use this transformer for multiple fields.
  Returns:
    - The value to be written for the field associated with this transformer

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD